### Method

# Xdp Portal pick_color_finish

#### Declaration [src]

    GVariant*
    xdp_portal_pick_color_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes a pick-color request.

Returns the result in the form of a GVariant of the form (ddd), containing red, green and blue components in the range [0,1].

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| GVariant containing the color.
| The caller of the method takes ownership of the data, and is responsible for freeing it.